Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Skype won't start
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
asotirov
n00b
n00b


Joined: 06 Mar 2007
Posts: 13

PostPosted: Sat Dec 26, 2009 10:59 am    Post subject: Skype won't start Reply with quote

After world's update yesterday Skype won't start on ~amd64

trying to start it from console returns this:

killer@killertop ~ $ skype
/usr/bin/skype: line 10: /opt/skype/skype: No such file or directory
/usr/bin/skype: line 10: /opt/skype/skype: Success


trying to start it from /opt/skype results with:
killer@killertop ~ $ /opt/skype/skype
-bash: /opt/skype/skype: No such file or directory

stracing it:

killer@killertop ~ $ strace /opt/skype/skype
execve("/opt/skype/skype", ["/opt/skype/skype"], [/* 81 vars */]) = -1 ENOENT (No such file or directory)
dup(2) = 3
fcntl(3, F_GETFL) = 0x8002 (flags O_RDWR|O_LARGEFILE)
fstat(3, {st_mode=S_IFCHR|0620, st_rdev=makedev(136, 3), ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f50b0244000
lseek(3, 0, SEEK_CUR) = -1 ESPIPE (Illegal seek)
write(3, "strace: exec: No such file or di"..., 40strace: exec: No such file or directory
) = 40
close(3) = 0
munmap(0x7f50b0244000, 4096) = 0
exit_group(1) = ?


apparently the executable cannot be found, although it right there:

killer@killertop /opt/skype $ ls -la
total 25720
drwxr-xr-x 5 root root 56 Dec 26 12:45 .
drwxrwxr-x 34 root root 4096 Dec 25 12:52 ..
drwxr-xr-x 2 root root 4096 Dec 26 12:45 avatars
drwxr-xr-x 2 root root 4096 Dec 26 12:45 lang
-rwxr-xr-x 1 root audio 26318612 Dec 26 12:45 skype
drwxr-xr-x 2 root root 4096 Dec 26 12:45 sounds


Does anybody have a clue what is going on, or what could possibly caused this ? I'm on ~amd64 with

Portage 2.1.7.16 (default/linux/amd64/10.0/desktop, gcc-4.4.2, glibc-2.11-r1, 2.6.32-ge-kt-fb-stable x86_64)
=================================================================
System uname: Linux-2.6.32-ge-kt-fb-stable-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T9500_@_2.60GHz-with-gentoo-2.0.1
Timestamp of tree: Sat, 26 Dec 2009 08:30:01 +0000
app-shells/bash: 4.0_p35
dev-java/java-config: 2.1.10
dev-lang/python: 2.4.6, 2.5.4-r3, 2.6.4, 3.1.1-r1
dev-python/pycrypto: 2.1.0
dev-util/cmake: 2.8.0
sys-apps/baselayout: 2.0.1
sys-apps/openrc: 0.6.0
sys-apps/sandbox: 2.2
sys-devel/autoconf: 2.13, 2.64
sys-devel/automake: 1.4_p6, 1.8.5-r3, 1.9.6-r2, 1.10.3, 1.11.1
sys-devel/binutils: 2.20
sys-devel/gcc-config: 1.4.1
sys-devel/libtool: 2.2.6b
virtual/os-headers: 2.6.30-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA Q3AEULA Nero-EULA-US dlj-1.1 sun-bcla-java-vm"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirrors.ludost.net/gentoo/ ftp://mirrors.ludost.net/gentoo/ "
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en bg ru"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
Back to top
View user's profile Send private message
ursusca
Apprentice
Apprentice


Joined: 10 Sep 2008
Posts: 284
Location: Toronto ON, CANADA

PostPosted: Sun Dec 27, 2009 9:38 pm    Post subject: Reply with quote

Hi,

What version of skype are you using?
distribution-specific packages
or
dynamic and statically linked generic versions
?
_________________
You deserve free software!
Back to top
View user's profile Send private message
d2_racing
Moderator
Moderator


Joined: 25 Apr 2005
Posts: 13046
Location: Ste-Foy,Canada

PostPosted: Sun Dec 27, 2009 10:55 pm    Post subject: Reply with quote

Hi, did you run this after your world update ?

Code:

# dispatch-conf or etc-update
# revdep-rebuild -i

_________________
Sysadmin of GentooQuébec.org
Wiki
Signature
IRC on Freenode : #gentoo-quebec
Back to top
View user's profile Send private message
are_007
n00b
n00b


Joined: 20 Oct 2007
Posts: 6

PostPosted: Mon Dec 28, 2009 11:48 am    Post subject: Reply with quote

hi,

i have same problems on ~x86. First off all i looked at google.com, and find this thing: http://www.skype.com/intl/en/download/skype/linux/choose/

I'm using whis beta version of skype and it's working fine for me.
Back to top
View user's profile Send private message
d2_racing
Moderator
Moderator


Joined: 25 Apr 2005
Posts: 13046
Location: Ste-Foy,Canada

PostPosted: Mon Dec 28, 2009 2:13 pm    Post subject: Reply with quote

Which version are you using ?
_________________
Sysadmin of GentooQuébec.org
Wiki
Signature
IRC on Freenode : #gentoo-quebec
Back to top
View user's profile Send private message
asotirov
n00b
n00b


Joined: 06 Mar 2007
Posts: 13

PostPosted: Wed Dec 30, 2009 11:43 am    Post subject: Reply with quote

right now i have compiled this one:
* Searching for skype in net-im ...
[I-O] [ ~] net-im/skype-2.1.0.47 (0)

have tried though, with the portage one
skype-2.0.0.72
with the same error.

about the static or dynamic i couldn't find a way to build the dynamic one on amd64.
Back to top
View user's profile Send private message
asotirov
n00b
n00b


Joined: 06 Mar 2007
Posts: 13

PostPosted: Wed Dec 30, 2009 11:52 am    Post subject: Reply with quote

d2_racing wrote:
Hi, did you run this after your world update ?

Code:

# dispatch-conf or etc-update
# revdep-rebuild -i




all of them.
Plus have tried diferent kernels in case if this is some kind of a strange elf. same thing.

What i get when
Code:

strace /opt/skype/skype


is:

Code:

execve("/opt/skype/skype", ["/opt/skype/skype"], [/* 63 vars */]) = -1 ENOENT (No such file or directory)
dup(2)                                  = 3
fcntl(3, F_GETFL)                       = 0x8002 (flags O_RDWR|O_LARGEFILE)
fstat(3, {st_mode=S_IFCHR|0620, st_rdev=makedev(136, 1), ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f474400a000
lseek(3, 0, SEEK_CUR)                   = -1 ESPIPE (Illegal seek)
write(3, "strace: exec: No such file or di"..., 40strace: exec: No such file or directory
) = 40
close(3)                                = 0
munmap(0x7f474400a000, 4096)            = 0
exit_group(1)                           = ?


and it seems that the syscall could not locate the executable in /opt/skype/skype which is there since i'm stracing it.
Back to top
View user's profile Send private message
shazow
Apprentice
Apprentice


Joined: 11 Dec 2003
Posts: 176
Location: Canada, Ontario

PostPosted: Sat Jan 09, 2010 1:09 am    Post subject: Reply with quote

Having the same problem, though I suspect it's because I chose a no-multilib profile.
Back to top
View user's profile Send private message
d2_racing
Moderator
Moderator


Joined: 25 Apr 2005
Posts: 13046
Location: Ste-Foy,Canada

PostPosted: Sat Jan 09, 2010 3:39 am    Post subject: Reply with quote

Right now, he is using : default/linux/amd64/10.0/desktop

So, maybe it's not related.
_________________
Sysadmin of GentooQuébec.org
Wiki
Signature
IRC on Freenode : #gentoo-quebec
Back to top
View user's profile Send private message
Mikkl
n00b
n00b


Joined: 12 Jan 2006
Posts: 60

PostPosted: Sat Jun 05, 2010 9:59 am    Post subject: Reply with quote

Hi there
Does anyone have a solution yet? I have the same problem, also with googleearth and wine, plus i cannot compile wine anymore with the following error:

Code:
checking whether we are cross compiling... configure: error: in `/var/tmp/portage/app-emulation/wine-1.1.44/work/wine-1.1.44':
configure: error: cannot run C compiled programs.
If you meant to cross compile, use `--host'.
See `config.log' for more details.


Maybe this is somehow related to the above problem.

I'm running a multilib profile and I have kernel support for elf binaries and IA32 emulation.

Thinks stopped working some emerge --syncs ago, but i really can't say what could have caused this.

Code:
Portage 2.1.8.3 (default/linux/amd64/10.0, gcc-4.4.3, glibc-2.11.1-r0, 2.6.34-gentoo x86_64)
=================================================================
System uname: Linux-2.6.34-gentoo-x86_64-AMD_Athlon-tm-_64_Processor_3000+-with-gentoo-2.0.1
Timestamp of tree: Sat, 05 Jun 2010 09:25:01 +0000
app-shells/bash:     4.1_p7
dev-java/java-config: 2.1.11
dev-lang/python:     2.6.5-r2, 3.1.2-r3
dev-util/cmake:      2.8.1-r1
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.1-r1
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.65
sys-devel/automake:  1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.3-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.7b
virtual/os-headers:  2.6.33
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.tu-clausthal.de/pub/linux/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ ftp://linux.rz.ruhr-uni-bochum.de/gentoo-mirror/ http://ftp.uni-erlangen.de/pub/mirrors/gentoo ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo ftp://ftp.join.uni-muenster.de/pub/linux/distributions/gentoo ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo ftp://ftp.join.uni-muenster.de/pub/linux/distributions/gentoo http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/ http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ http://de-mirror.org/distro/gentoo/ ftp://de-mirror.org/distro/gentoo/ "
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="de"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acl acpi alsa amd64 berkdb bzip2 cairo cdr cli cracklib crypt cups cxx dbus dri dssi dvd dvdr dvdread encode ffmpeg flac fortran fuse gdbm gif gnome gpm gstreamer gtk gtk2 hal iconv ipv6 java jpeg latex mad midi mmx mmxext modules mp3 mpeg mplayer mudflap multilib nautilus ncurses nls nptl nptlonly ntfs nvidia ogg openal opengl openmp pam pcre pdf perl png pppd python quicktime readline reflection sdk sdl session spl sse sse2 ssl svg sysfs tcpd tiff truetype unicode vorbis wxwindows x264 xml xorg xulrunner xv xvid xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Back to top
View user's profile Send private message
vincent-
Developer
Developer


Joined: 13 Jan 2007
Posts: 415
Location: Valencia (Spain)

PostPosted: Sat Jun 05, 2010 2:21 pm    Post subject: Reply with quote

The only skype version in portage is:
Code:
$ eix -e skype
[I] net-im/skype
     Available versions:  (~)2.1.0.81!m!s {qt-static}
     Installed versions:  2.1.0.81!m!s(00:28:31 11/04/10)(-qt-static)
     Homepage:            http://www.skype.com/
     Description:         A P2P-VoiceIP client.

and needs to be unmasked. Try to install it:
Code:
echo '=net-im/skype-2.1.0.81' >> /etc/portage/package.keywords
emerge =net-im/skype-2.1.0.81


Don't forget to accept the license skype-eula.
Back to top
View user's profile Send private message
Mikkl
n00b
n00b


Joined: 12 Jan 2006
Posts: 60

PostPosted: Sun Jun 06, 2010 9:20 am    Post subject: Reply with quote

yes, skype is installed and ready to go.

But the error is:
Code:
/usr/bin/skype: line 10: /opt/skype/skype: No such file or directory
/usr/bin/skype: line 10: /opt/skype/skype: Success


like asotirov said in the first post. This exact same error also occurs with googleearth and wine, stating that there is no executable, and they all need 32-bit emulation.
But i can't see what the problem is, since i have a multilib profile and IA32 support enabled in kernel. Also, it worked some emerge -uDN world ago with nothing changed by my hand.


Last edited by Mikkl on Sun Jun 06, 2010 10:05 am; edited 1 time in total
Back to top
View user's profile Send private message
mv
Advocate
Advocate


Joined: 20 Apr 2005
Posts: 4109

PostPosted: Sun Jun 06, 2010 10:35 am    Post subject: Reply with quote

Maybe the corresponding partition is mounted with noexec? Or do you have ACL (extended attribute) support enabled in your kernel for the filesystem and permissions are set inappropriate? Also grsecurity (hardened-sources) could prevent executing... Perhaps the logfile contains some information?
Back to top
View user's profile Send private message
Mikkl
n00b
n00b


Joined: 12 Jan 2006
Posts: 60

PostPosted: Sun Jun 06, 2010 7:35 pm    Post subject: Reply with quote

Hmm, partitions are mounted without noexec, tried with acl attributes enabled and disabled on different (reiserfs, ext3) partitions, still no change.
But other programs on the same partation do work, except for these 3 ones which need 32-bit emulation. It's just as i couldn't execute 32bit binaries, but every requirement should be there, well, i guess something has to be missing... I'll try and set up a new kernel config these days by comparing it to a working one to exclude any kernel-related mistake.
By logfile, which one do you mean?
Back to top
View user's profile Send private message
mv
Advocate
Advocate


Joined: 20 Apr 2005
Posts: 4109

PostPosted: Sun Jun 06, 2010 8:08 pm    Post subject: Reply with quote

Mikkl wrote:
By logfile, which one do you mean?

The syslog. Maybe the kernel spits out some message.
Back to top
View user's profile Send private message
tuam
l33t
l33t


Joined: 04 May 2004
Posts: 763
Location: CGN, Germany

PostPosted: Tue Jun 08, 2010 5:53 pm    Post subject: Reply with quote

What's the output of
Code:
stat /opt/skype/skype
file /opt/skype/skype
:?:

FF,

Daniel
_________________
Logic clearly dictates that the needs of the many outweigh the needs of the few. - Spock
The needs of the one outweigh the needs of the many. - Kirk
I refuse to let arithmetic decide questions like that. - Picard
Back to top
View user's profile Send private message
Mikkl
n00b
n00b


Joined: 12 Jan 2006
Posts: 60

PostPosted: Sat Jun 12, 2010 12:12 pm    Post subject: Reply with quote

Recompiled the kernel with a .config from one of my machines where 32-bit works and only adapted the drivers, but it's still the same error. So i think it must be something else. Also looked into the bios if some setting's wrong, but i can't find any.

dmesg shows nothing related to the skype execution

Code:
mikkl@seider ~ $ stat /opt/skype/skype
  File: „/opt/skype/skype“
  Size: 18567888     Blocks: 36307      IO Block: 4096   reguläre Datei
Device: 805h/2053d   Inode: 627601      Links: 1
Access: (0755/-rwxr-xr-x)  Uid: (    0/    root)   Gid: (   18/   audio)
Access: 2010-06-06 21:20:34.000000000 +0200
Modify: 2010-06-06 21:20:35.000000000 +0200
Change: 2010-06-06 21:20:40.000000000 +0200


Code:
mikkl@seider ~ $ file /opt/skype/skype
/opt/skype/skype: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.8, stripped


Hmm. The last "big" thing i did was moving all partitions to a new harddrive by copying them with cp -a ... .Is there anything that could go wrong and have caused the trouble by doing so?
Back to top
View user's profile Send private message
nerr
n00b
n00b


Joined: 07 Jun 2010
Posts: 5

PostPosted: Mon Jun 14, 2010 10:58 pm    Post subject: Reply with quote

I'm actually running into the same issue, although mine is on a slightly fresher install. (About a week old). I don't have a clue what could be the problem, but I am also running on the amd64 platform. I'll drop a line here and see if any answers are posted soon!
Back to top
View user's profile Send private message
Mikkl
n00b
n00b


Joined: 12 Jan 2006
Posts: 60

PostPosted: Sat Jun 26, 2010 12:38 pm    Post subject: Reply with quote

I booted from the gentoo minimal-cd and when i try to run skype from there, it would work. But when i'm chrooting to my installation it doesn't work again. So i guess it can't be a kernel or bios related problem after all...
I'm trying now a fresh install, although nerr's port doesn't give me too much hope :).
Back to top
View user's profile Send private message
Mikkl
n00b
n00b


Joined: 12 Jan 2006
Posts: 60

PostPosted: Sun Jun 27, 2010 5:58 pm    Post subject: Reply with quote

So, downloaded current stage3 and portage tree, shipped over make.conf, all of /etc/portage/package.* and the world file, did an emerge -e system and emerge -e world, and surprise, its working... and the wine compile problem is also gone, so there might be some relation between them. About the real problem i still don't have a clue and i'm afraid this is not how a solution should look like, but i'm happy the fresh install was not in vain... :?
Back to top
View user's profile Send private message
jrevi
Tux's lil' helper
Tux's lil' helper


Joined: 08 Sep 2005
Posts: 100

PostPosted: Tue Jul 06, 2010 5:26 pm    Post subject: Reply with quote

Hi,

Just for information, I have exactly the same problem with gentoo-sources-2.6.33-r2 but everything works fine with gentoo-sources-2.6.32-r7

Best,
jrevi
Back to top
View user's profile Send private message
jrevi
Tux's lil' helper
Tux's lil' helper


Joined: 08 Sep 2005
Posts: 100

PostPosted: Fri Jul 09, 2010 8:28 am    Post subject: Reply with quote

As far as I'm concerned, it's solved... it's simply because I forgot to enable "IA32 Emulation" in my latest kernel.

Best,
jrevi
Back to top
View user's profile Send private message
costel78
Apprentice
Apprentice


Joined: 20 Apr 2007
Posts: 198

PostPosted: Thu Mar 10, 2011 10:51 am    Post subject: Reply with quote

Well, it's seem to be a problem with every 32 bits binary.
I can not compile sandbox, run skype or 32 bit adobe flash player.
Code:
zcat /proc/config.gz | grep IA32
CONFIG_IA32_EMULATION=y
CONFIG_IA32_AOUT=y


Code:
emerge -pv skype

These are the packages that would be merged, in order:

Calculating dependencies  ... done!             
[ebuild   R    ] net-im/skype-2.1.0.81  USE="qt-static" 0 kB


I use gentoo-sources-2.6.37-r1. I'll try to revert to 2.6.36

Later:
It's not the kernel. Anyway, skype worked with gentoo-sources 2.6.37-r1 previously.
But, I recompiled toolchain and, AFTER that, skype refused to start.
Code:
emerge --jobs=3 --oneshot portage linux-headers gcc-config mpfr binutils libtool dev-libs/mpc ppl cloog-ppl glibc gcc && env-update && source /etc/profile


So I think it's related to gcc, glibc or binutils. Can you confirm this behavior ?
_________________
Sorry for my English. I'm still learning this language.
Back to top
View user's profile Send private message
nawwar
n00b
n00b


Joined: 10 Mar 2011
Posts: 6

PostPosted: Thu Mar 10, 2011 3:08 pm    Post subject: Reply with quote

costel78 wrote:


So I think it's related to gcc, glibc or binutils. Can you confirm this behavior ?


Yes, I confirm that.
After world update, glibc was upgraded to 2.11.3, and now no 32-bit application works. It's NOT a kernel problem as I haven't changed the kernel, and I know IA32 emulation is enabled. It must be a problem with glibc 2.11.*. I have multilib use flag enabled though. I posted my details on this thread.


Last edited by nawwar on Thu Mar 10, 2011 3:13 pm; edited 1 time in total
Back to top
View user's profile Send private message
Mikkl
n00b
n00b


Joined: 12 Jan 2006
Posts: 60

PostPosted: Thu Mar 10, 2011 3:11 pm    Post subject: Reply with quote

Hi,

all 32bit applications were affected. There's also a bug report on this:
http://bugs.gentoo.org/show_bug.cgi?id=358143

It should be fixed by now.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum